---
title: "1.21.0 - Lots of Bug Fixes!"
linkTitle: "1.21.0"
date: "2022-02-15"
---
This is a big bug fix release!

Not only did we fix a ton of flaky tests (which will make contributing easier), but also solved lots of tricky bugs in the process. This includes fixes to the alpha Fleet Autoscaling custom syncing, as well as quality of life improvements where we now validate metadata patches on GameServerAllocation.

If you are using Agones' metrics, note that there is **breaking change**, in that the node_name label has been removed from allocation metrics to remove a potential cardinality bomb.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.21.0-rc" data-proofer-ignore>README</a> for details on features, installation and usage.

**Security fixes:**

- Update the node-forge dependency to address GHSA-5rrq-pxf6-6jx5 [\#2435](https://github.com/googleforgames/agones/pull/2435) ([roberthbailey](https://github.com/roberthbailey))

**Breaking changes:**

- Remove node\_name label from allocation metrics [\#2433](https://github.com/googleforgames/agones/pull/2433) ([yoshd](https://github.com/yoshd))

**Implemented enhancements:**

- Update to node 16 / npm 7 [\#2450](https://github.com/googleforgames/agones/issues/2450)
- Fix "kubectl explain" output for Agones CRDs [\#1194](https://github.com/googleforgames/agones/issues/1194)
- Adding AcceleratXR to companies using agones [\#2412](https://github.com/googleforgames/agones/pull/2412) ([acceleratxr](https://github.com/acceleratxr))

{ if release candidate }
Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.21.0/CHANGELOG.md" data-proofer-ignore>CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.21.0](https://gcr.io/agones-images/agones-controller:1.21.0)
- [gcr.io/agones-images/agones-sdk:1.21.0](https://gcr.io/agones-images/agones-sdk:1.21.0)
- [gcr.io/agones-images/agones-ping:1.21.0](https://gcr.io/agones-images/agones-ping:1.21.0)
- [gcr.io/agones-images/agones-allocator:1.21.0](https://gcr.io/agones-images/agones-allocator:1.21.0)
- [gcr.io/agones-images/autoscaler-webhook:0.4](https://gcr.io/agones-images/autoscaler-webhook:0.4)
- [gcr.io/agones-images/cpp-simple-server:0.13](https://gcr.io/agones-images/cpp-simple-server:0.13)
- [gcr.io/agones-images/crd-client:0.6](https://gcr.io/agones-images/crd-client:0.6)
- [gcr.io/agones-images/nodejs-simple-server:0.6](https://gcr.io/agones-images/nodejs-simple-server:0.6)
- [gcr.io/agones-images/rust-simple-server:0.10](https://gcr.io/agones-images/rust-simple-server:0.10)
- [gcr.io/agones-images/simple-game-server:0.10](https://gcr.io/agones-images/simple-game-server:0.10)
- [gcr.io/agones-images/supertuxkart-example:0.4](https://gcr.io/agones-images/supertuxkart-example:0.4)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.21.0.tgz" data-proofer-ignore>
  <code>helm install agones agones/agones --version 1.21.0</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
